Name: lvm-iop10
Version: 0.9.1_beta6
Release: 1
URL: http://sistina.com/lvm
Source: ftp://ftp.sistina.com/pub/LVM/0.9.1_beta/lvm_%{version}.tar.gz
BuildArchitectures: i386
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: lvm-tools
Requires: lvm-base, lvm-lib = ${version}
Summary: LVM User Space Tools (IOP 10)
License: GPL
Vendor: Sistina Software, Inc
Packager: AJ Lewis <lewis@sistina.com>
Group: Administration
Conflicts: lvm <= 0.8.1
Obsoletes: lvm <= 0.8.1

%package lib
Provides: lvm-lib
Requires: lvm-base
Summary: LVM User Space Libraries (IOP 10)
License: LGPL
Group: Administration
Conflicts: lvm <= 0.8.1
Obsoletes: lvm <= 0.8.1

%package man
Provides: lvm-man
Requires: lvm-base
Summary: LVM User Space Man Pages (IOP 10)
License: GPL
Group: Administration
Conflicts: lvm <= 0.8.1
Obsoletes: lvm <= 0.8.1

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, multiple
devices (MD) or even loop devices), creating volume groups (virtual disks)
from one or more physical volumes and creating one or more logical volumes
(logical partitions) in volume groups.

This package contains the LVM userspace tools for IOP 10.

%description lib
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, multiple
devices (MD) or even loop devices), creating volume groups (virtual disks)
from one or more physical volumes and creating one or more logical volumes
(logical partitions) in volume groups. 
                 
This package contains the LVM libraries for IOP 10.

%description man
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, multiple
devices (MD) or even loop devices), creating volume groups (virtual disks)
from one or more physical volumes and creating one or more logical volumes
(logical partitions) in volume groups.

This package contains the LVM man-pages for IOP 10.

%prep
%setup -q -n LVM/%{version}

%build
./configure --prefix=$RPM_BUILD_ROOT/usr/ --exec_prefix=$RPM_BUILD_ROOT --sbindir=$RPM_BUILD_ROOT/lib/%{name} --mandir=$RPM_BUILD_ROOT/%{_mandir}/
make

%install
rm -rf $RPM_BUILD_ROOT
make install
for manpage in `ls -1 $RPM_BUILD_ROOT/%{_mandir}/man8/*.8`; 
  do 
    gzip $manpage;
done

%clean
#$rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,0755)
%doc ABSTRACT CONTRIBUTORS TODO CHANGELOG README WHATSNEW COPYING
%attr(755,root,root) /lib/%{name}

%files lib
%defattr(644,root,root,0755)
%doc COPYING.LIB
/lib/liblvm-10.so
/lib/liblvm-10.so.0
/lib/liblvm-10.so.0.9

%files man
%defattr(644,root,root,0755)
%doc COPYING
%{_mandir}/man8/*


%changelog
* Tue Mar 13 2001 Andrew Lewis <lewis@sistina.com>
+ 0.9.1_beta6-1
- modified to work with Beta6 and the new lib naming scheme (liblvm-${IOP}.so)
- split into three separate packages: tools, libs, and manpages
- libs need to be separate because of different licenses

* Wed Dec 20 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 0.9-2cl
- fixed package summary

* Tue Dec 19 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 0.9-1cl
- package created

